-- Use loadmpq(priority,mappath) to load mpqs
-- e.g. loadmpq(10,"C:\\War3\\Maps\\hello\ bar.w3x")
if grim.getmodulehandle("worldedit.exe") ~= 0 then
	-- loads english window titles
   loadmpq(16,"windows.mpq")

	-- loads WEU if user wants that
	weukey = "HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WE Unlimited_is1"
	weuval = "InstallLocation"
	weupath = grim.getregpair(weukey,weuval)
	haveweu = grim.exists(weupath .. "WE Unlimited.exe")
	if haveweu then
		if (grim.getregpair("HKEY_CURRENT_USER\\Software\\Grimoire\\","Integrate WEU") == "on") then
   		loadmpq(15,weupath .. "WE Unlimited.exe")
   	end
   end
end
